[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetLCLCapability

Checks whether the widgetset supports the specified LCL capability.

## Declaration

Source position: interfacebase.pp line 159

`public function TWidgetSet.GetLCLCapability(`
`ACapability: TLCLCapability`
`):PtrUInt; virtual;`

## Arguments

`ACapability` |  | TLCLCapability enumeration value checked in the method.

## Function result

Can be either LCL_CAPABILITY_NO or LCL_CAPABILITY_YES.

## Description

GetLCLCapability is a PtrUInt function used to determine if a specific LCL capability is supported in the widgetset implementation.

ACapability contains a TLCLCapability enumeration value examined in the method. The value identifies a feature or behavior in the LCL.

The return value is either LCL_CAPABILITY_NO or LCL_CAPABILITY_YES. LCL_CAPABILITY_YES indicates that the capability is implemented for the platform.

GetLCLCapability is overridden in descendent classes to return a value valid for the platform-specific implementation. The implementation in TWidgetSet handles the capabilities common to all widgetsets supported in the LCL. It is called when the descendent class does not handle the value in ACapability.

TWidgetSet returns LCL_CAPABILITY_YES for the following enumeration values:

- lcCanDrawOutsideOnPaint
- lcNeedMininimizeAppWithMainForm
- lcApplicationTitle
- lcFormIcon
- lcModalWindow
- lcReceivesLMClearCutCopyPasteReliably
- lcSendsUTF8KeyPress
- lcEmulatedMDI
- lcNativeTaskDialog
- lcAccelleratorKeys

All other enumeration values in TLCLCapability return LCL_CAPABILITY_NO.

## See also

TLCLCapability |  | Represents capabilities used in the LCL.
LCL_CAPABILITY_NO |  | Constant used in TWidgetSet.GetLCLCapability.
LCL_CAPABILITY_YES |  | Constant used in TWidgetSet.GetLCLCapability.